Loading...
Searching...
No Matches
BALL::TriangulatedSES Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/triangulatedSES.h>`

Inheritance diagram for BALL::TriangulatedSES:

## Public Member Functions

Constructors and Destructors
| TriangulatedSES ()
| TriangulatedSES (const TriangulatedSES &surface, bool=true)
| TriangulatedSES (SolventExcludedSurface *ses, const double &density)
virtual | ~TriangulatedSES ()
Assignment
void | set (const TriangulatedSES &surface, bool=true)
TriangulatedSES & | operator= (const TriangulatedSES &surface)
void | setDensity (const double &density)
double | getDensity () const
Public Member Functions inherited from BALL::TriangulatedSurface
| TriangulatedSurface ()
| TriangulatedSurface (const TriangulatedSurface &surface, bool=true)
virtual | ~TriangulatedSurface ()
void | clear ()
void | set (const TriangulatedSurface &surface, bool=true)
TriangulatedSurface & | operator= (const TriangulatedSurface &surface)
void | insert (TrianglePoint *point)
void | insert (TriangleEdge *edge)
void | insert (Triangle *triangle)
Size | getNumberOfPoints () const
Size | getNumberOfEdges () const
Size | getNumberOfTriangles () const
void | remove (TrianglePoint *point, bool deep=true)
void | remove (PointIterator p, bool deep=true)
void | remove (TriangleEdge *edge, bool deep=true)
void | remove (EdgeIterator e, bool deep=true)
void | remove (Triangle *triangle, bool deep=true)
void | remove (TriangleIterator t, bool deep=true)
void | exportSurface (Surface &surface)
TriangulatedSurface & | operator+= (const TriangulatedSurface &surface)
void | join (TriangulatedSurface &source)
void | shift (const TVector3< double > &c)
void | blowUp (const double &r)
void | setIndices ()
void | setDensity (const double &density)
double | getDensity () const
void | cut (const TPlane3< double > &plane, const double &fuzzy=0)
void | shrink ()
void | deleteIsolatedEdges ()
void | deleteIsolatedPoints ()
void | getBorder (std::list< TriangleEdge * > &border)
PointIterator | beginPoint ()
ConstPointIterator | beginPoint () const
PointIterator | endPoint ()
ConstPointIterator | endPoint () const
EdgeIterator | beginEdge ()
ConstEdgeIterator | beginEdge () const
EdgeIterator | endEdge ()
ConstEdgeIterator | endEdge () const
TriangleIterator | beginTriangle ()
ConstTriangleIterator | beginTriangle () const
TriangleIterator | endTriangle ()
ConstTriangleIterator | endTriangle () const

## Friends

Class friends

- class SESTriangulator

class | SESTriangulator

## Accessors

SolventExcludedSurface * | ses_
double | density_
void | compute ()

## Additional Inherited Members

Public Types inherited from BALL::TriangulatedSurface
typedef std::list< TrianglePoint * >::iterator | PointIterator
typedef std::list< TrianglePoint * >::const_iterator | ConstPointIterator
typedef std::list< TriangleEdge * >::iterator | EdgeIterator
typedef std::list< TriangleEdge * >::const_iterator | ConstEdgeIterator
typedef std::list< Triangle * >::iterator | TriangleIterator
typedef std::list< Triangle * >::const_iterator | ConstTriangleIterator
Static Public Member Functions inherited from BALL::TriangulatedSurface
static TriangulatedSurface * | createTube (unsigned int num_vertices, unsigned int subdiv=0, bool closed=false, bool out=true)
static TriangulatedSurface * | createDisk (unsigned int num_vertices, bool out=true)
bool | canBeCopied () const
void | copy (const TriangulatedSurface &surface)
Size | number_of_points_
std::list< TrianglePoint * > | points_
Size | number_of_edges_
std::list< TriangleEdge * > | edges_
Size | number_of_triangles_
std::list< Triangle * > | triangles_
double | density_

## Detailed Description

Generic TriangulatedSES Class.

Definition at line 54 of file triangulatedSES.h.

## Constructor & Destructor Documentation

## TriangulatedSES() [1/3]

BALL::TriangulatedSES::TriangulatedSES | ( |  | ) |

Default constructor. This method creates a new TriangulatedSES object.

## TriangulatedSES() [2/3]

BALL::TriangulatedSES::TriangulatedSES | ( | const TriangulatedSES & | surface,
|  | bool | = true )

Copy constructor. Create a new TriangulatedSES object from another.

Parameters

  surface | the TriangulatedSES object to be copied
  bool | ignored - just for interface consistency

## TriangulatedSES() [3/3]

BALL::TriangulatedSES::TriangulatedSES | ( | SolventExcludedSurface * | ses,
|  | const double & | density )

Detailed constructor. Create a new empty TriangulatedSES object and set its SES.

Parameters

  ses | a pointer to the corresponding SES
  density | the density to use by triangulation

## ~TriangulatedSES()

virtual BALL::TriangulatedSES::~TriangulatedSES | ( |  | ) |

virtual

Destructor. Destructs the TriangulatedSES object.

## Member Function Documentation

## compute()

void BALL::TriangulatedSES::compute | ( |  | ) |

Exceptions

  BALL::Exception::GeneralException |
  BALL::Exception::DivisionByZero |

## getDensity()

double BALL::TriangulatedSES::getDensity | ( |  | ) | const

Get the density used by triangulation.

## operator=()

TriangulatedSES & BALL::TriangulatedSES::operator= | ( | const TriangulatedSES & | surface | ) |

Assign from another TriangulatedSES.

Parameters

  surface | the TriangulatedSES object to assign from

## set()

void BALL::TriangulatedSES::set | ( | const TriangulatedSES & | surface,
|  | bool | = true )

Assign from another TriangulatedSES.

Parameters

  surface | the TriangulatedSES object to assign from
  bool | ignored - just for interface consistency

## setDensity()

void BALL::TriangulatedSES::setDensity | ( | const double & | density | ) |

Set the density used by triangulation.

## Friends And Related Symbol Documentation

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 64 of file triangulatedSES.h.

## Member Data Documentation

## density_

double BALL::TriangulatedSES::density_

protected

Definition at line 149 of file triangulatedSES.h.

## ses_

SolventExcludedSurface* BALL::TriangulatedSES::ses_

protected

Definition at line 147 of file triangulatedSES.h.